Merge lp:~sergiusens/snapcraft/1498140 into lp:~snappy-dev/snapcraft/core

Proposed by Sergio Schvezov
Status: Merged
Approved by: Leo Arias
Approved revision: 189
Merged at revision: 190
Proposed branch: lp:~sergiusens/snapcraft/1498140
Merge into: lp:~snappy-dev/snapcraft/core
Prerequisite: lp:~sergiusens/snapcraft/1481499
Diff against target: 34 lines (+13/-0)
2 files modified
integration-tests/units/jobs.pxu (+9/-0)
snapcraft/cmds.py (+4/-0)
To merge this branch: bzr merge lp:~sergiusens/snapcraft/1498140
Reviewer Review Type Date Requested Status
Leo Arias (community) code review, test manually, test automatically Approve
Review via email: mp+271860@code.launchpad.net

Commit message

Load the config before trying to run

To post a comment you must log in.
lp:~sergiusens/snapcraft/1498140 updated
189. By Sergio Schvezov

Load the config before trying to run

Revision history for this message
Leo Arias (elopio) :
review: Approve (code review, test manually, test automatically)

Preview Diff

[H/L] Next/Prev Comment, [J/K] Next/Prev File, [N/P] Next/Prev Hunk
1=== modified file 'integration-tests/units/jobs.pxu'
2--- integration-tests/units/jobs.pxu 2015-09-20 14:34:08 +0000
3+++ integration-tests/units/jobs.pxu 2015-09-21 19:23:22 +0000
4@@ -7,6 +7,15 @@
5 test $? = 1 || exit 1
6 echo $OUTPUT | grep "Could not find snapcraft\.yaml\."
7
8+id: snapcraft/normal/no-yaml-run
9+plugin: shell
10+estimated_duration: 0.1
11+command:
12+ set -x
13+ OUTPUT=$(${SNAPCRAFT} run 2>&1)
14+ test $? = 1 || exit 1
15+ echo $OUTPUT | grep "Could not find snapcraft\.yaml\."
16+
17 id: snapcraft/normal/assemble-meta-externally
18 plugin: shell
19 estimated_duration: 0.3
20
21=== modified file 'snapcraft/cmds.py'
22--- snapcraft/cmds.py 2015-09-21 19:23:22 +0000
23+++ snapcraft/cmds.py 2015-09-21 19:23:22 +0000
24@@ -137,6 +137,10 @@
25
26
27 def run(args):
28+ # We are mostly making sure we are operating from the correct location. In
29+ # the future this could do more by using target attribute in snapcraft.yaml
30+ # to create the correct target image.
31+ _load_config()
32 # Find the ssh key that ubuntu-device-flash would use so that we can use it
33 # ourselves as well. This may not be the default key that the user has
34 # configured.

Subscribers

People subscribed via source and target branches